﻿<template>
    <v-app>
        <v-container>
            <h2>Профиль</h2>
            <client-profile v-if="isClient" />
            <employee-profile v-if="isEmployee" />
        </v-container>
    </v-app>
</template>

<script>
    import { mapGetters } from 'vuex'

    import ClientProfile from '../../components/Profile/ClientProfile'
    import EmployeeProfile from '../../components/Profile/EmployeeProfile'

    export default {
        data() {
            return {
                isEmployee: false,
                isClient: false
            }
        },
        computed: {
            ...mapGetters('user', ['getRoles'])
        },
        watch: {
            getRoles() {
                if (this.getRoles !== undefined) {
                    if (this.getRoles.includes('Employee'))
                        this.isEmployee = true;
                    if (this.getRoles.includes('Client')) {
                        this.isClient = true;
                    }
                }
            }
        },
        components: {
            ClientProfile,
            EmployeeProfile
        }
    }
</script>